Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::views::exclusive_scan_base_fn Struct Reference
Inheritance diagram for ranges::views::exclusive_scan_base_fn:

## Public Member Functions
template<typename Rng , typename T , typename Fun = plus>
constexpr exclusive_scan_view< all_t< Rng >, T, Fun > | operator() (Rng &&rng, T init, Fun fun=Fun{}) const

## Member Function Documentation

## ◆ operator()()

template<typename Rng , typename T , typename Fun = plus>

constexpr exclusive_scan_view<all_t<Rng>, T, Fun> ranges::views::exclusive_scan_base_fn::operator() | ( | Rng && | rng,
|  | T | init,
|  | Fun | fun = `Fun{}`
| ) |  | const
| constexpr

Precondition
  requires `exclusive_scan_constraints<Rng, T, Fun>`